> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1voicetools



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/voice/tools/{tool}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/tools/{tool}:
    put:
      tags:
        - AgentTools
      operationId: voice.tools.update
      parameters:
        - name: tool
          in: path
          required: true
          description: The tool ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`AgentToolMetaDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentToolMetaDataRequest'
      responses:
        '200':
          description: '`AgentToolsResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AgentToolsResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AgentToolMetaDataRequest:
      type: object
      properties:
        tool_type:
          type: string
          enum:
            - webhook
            - hangup_call
            - update_contact
            - update_call
            - unsubscribe
            - send_sms
        name:
          type: string
        description:
          type: string
        endpoint_url:
          type:
            - string
            - 'null'
        endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
        parameters:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - string
                  - number
                  - date
                  - boolean
                  - select
              description:
                type:
                  - string
                  - 'null'
              example:
                type: string
        source_addr:
          type:
            - string
            - 'null'
        mark_as_qualified:
          type: boolean
          default: false
      required:
        - tool_type
        - name
        - description
      title: AgentToolMetaDataRequest
    AgentToolsResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        meta:
          $ref: '#/components/schemas/AgentToolMetaData'
      required:
        - id
        - team_id
        - meta
      title: AgentToolsResource
    AgentToolMetaData:
      type: object
      properties:
        tool_type:
          type: string
          enum:
            - webhook
            - hangup_call
            - update_contact
            - update_call
            - unsubscribe
            - send_sms
        name:
          type: string
        description:
          type: string
        endpoint_url:
          type:
            - string
            - 'null'
        endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
        parameters:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - string
                  - number
                  - date
                  - boolean
                  - select
              description:
                type:
                  - string
                  - 'null'
              example:
                type: string
        source_addr:
          type:
            - string
            - 'null'
        mark_as_qualified:
          type: boolean
          default: false
      required:
        - tool_type
        - name
        - description
        - endpoint_url
        - endpoint_method
        - parameters
        - source_addr
        - mark_as_qualified
      title: AgentToolMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````